#include <graphics.h>
#include <stdio.h>
#include <stdlib.h>

//
// Primitivas Testadas:
//
// initwindow - Cria a janela grfica
// setcolor   - Seleciona cor atual
// line       - Desenha uma linha
// circle     - Desenha um crculo
// rectangle  - Desenha um retngulo
// cleardevice- Limpa a tela grfica
// closegraph - Fecha a janela grfica
//

int main(int argc, char *argv[])
{
   int cont,raio;
   char tecla;
     
   initwindow(640,480); // Inicializa uma janela grfica de 640x480
   setcolor(RED);       // Seleciona cor: REG, GREEN, BLUE, WHITE, BLACK...
   line(0,0,640,0);     // Desenha uma linha line (xini,yini,xfim,yfim)
   setcolor(BLUE);
   line(0,0,0,480);
   setcolor(GREEN);
   line(0,480,640,0);   
   system("PAUSE");	

   setcolor(WHITE);
   circle(320,240,10);   // Desenha um crculo com centro em 320,240 e raio 10
   circle(320,240,20);   // Desenha um crculo circle (xc, yc, raio)
   circle(320,240,40);
   circle(320,240,80);
   circle(320,240,160);  
   system("PAUSE");	
             
   for (cont=1; cont <= 20; cont++)
   {
      setcolor(RED);
      for (raio=1; raio < 200; raio++)
           circle(320,240,raio);
      setcolor(BLACK);
      for (raio=1; raio < 200; raio++)
           circle(320,240,raio);
   }
   system("PAUSE");	
   
   setcolor(RED);              // Cor atual = Red
   rectangle(50,50,150,150);   // Desenha um retngulo rectangle (xi,yi,xf,yf)
   system("PAUSE");
   
   cleardevice();              // Limpa tela
   
   setcolor(WHITE);            // Cor atual = White
   rectangle(50,50,150,150);   // Desenha um retngulo
   system("PAUSE");
   	   
   closegraph();        // Finaliza o modo grfico (fecha janela)
   system("PAUSE");	
   return 0;
}
