#include <graphics.h>
#include <stdio.h>
#include <stdlib.h>

//
// Primitivas Testadas:
//
// initwindow      - Cria a janela grfica
// settextstyle    - Define o tipo de caracteres usados
// setcolor        - Define a cor usada
// setusercharsize - Define a escala (tamanho) do texto
// outtextxy       - Exibe o texto na posio X,Y
// outtext         - Exibe o texto na posio X,Y atual
// moveto          - Define a posio X,Y atual para os comandos grficos
// closegraph      - Fecha a janela grfica
//

int main(int argc, char *argv[])
{
   int cnt, tecla;

   initwindow(640,480); //  Inicializa a janela grfica do tamanho 640x480
  
   settextstyle(TRIPLEX_FONT,HORIZ_DIR,0);   // Define o tipo de fonte do texto
   setcolor(WHITE);                          // Define a cor
   outtextxy(10,10,"Hello World!");          // Exibe o texto na posicao x,y	                     
   
   setcolor(WHITE);
   setusercharsize(1,2,1,2);                 // Define a escala do texto
   outtextxy(10,100,"Hello World!");
   rectangle(5,95,100,120);                  // Desenha um retngulo
      
   moveto(10,450);                           // Posiciona o cursor grfico
   outtext("Thats all folks...");            // Exibe o texto na posio atual
   
   system("PAUSE");	 
   closegraph();        // Fecha a janela grfica
   return 0;
}
